summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorStefan Husmann2016-02-14 20:07:33 +0100
committerStefan Husmann2016-02-14 20:07:33 +0100
commit1a1a565f95374cbcf21c25f7740b0092c8068fdc (patch)
tree6cd48d72c3a37e9819e6625d083284de7d65060a
parentd04bf94fda0846dfacfe6c752f13931e1844726e (diff)
downloadaur-1a1a565f95374cbcf21c25f7740b0092c8068fdc.tar.gz
correct install file's info handling
-rw-r--r--.SRCINFO2
-rw-r--r--PKGBUILD2
-rw-r--r--sawfish.install18
3 files changed, 12 insertions, 10 deletions
diff --git a/.SRCINFO b/.SRCINFO
index b6ed9dcb48f..00237604cc6 100644
--- a/.SRCINFO
+++ b/.SRCINFO
@@ -1,5 +1,5 @@
# Generated by mksrcinfo v8
-# Sun Feb 14 19:03:10 UTC 2016
+# Sun Feb 14 19:06:33 UTC 2016
pkgbase = sawfish-git
pkgdesc = A window manager extensible using a Lisp-based scripting language.
pkgver = 1.11.90.6.gba51040
diff --git a/PKGBUILD b/PKGBUILD
index aacacfafc1e..40e141cdd11 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -3,7 +3,7 @@
pkgname=sawfish-git
pkgver=1.11.90.6.gba51040
-pkgrel=2
+pkgrel=3
pkgdesc='A window manager extensible using a Lisp-based scripting language.'
arch=('i686' 'x86_64')
url='http://sawfish.wikia.com'
diff --git a/sawfish.install b/sawfish.install
index 9e214f2d222..3b43a746612 100644
--- a/sawfish.install
+++ b/sawfish.install
@@ -1,19 +1,21 @@
-info_dir=/usr/share/info
+infodir=/usr/share/info
+file=sawfish.info
post_install() {
- install-info ${info_dir}/sawfish.info.gz ${info_dir}/dir
- gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+ [ -x usr/bin/install-info ] || return 0
+ install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
}
post_upgrade() {
- post_install $1
+ post_install
}
pre_remove() {
- install-info --delete ${info_dir}/sawfish.info.gz ${info_dir}/dir
+ [ -x usr/bin/install-info ] || return 0
+ install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
}
post_remove() {
- gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
-}
-
+ gtk-update-icon-cache -q -t -f usr/share/icons/hicolor
+} \ No newline at end of file